aom_codec_stream_info Struct Reference
Common Algorithm Interface » Decoder Algorithm Interface

Initialization-time Feature Enabling. More...

`#include <aom_decoder.h>`

## Data Fields

unsigned int | w
unsigned int | h
unsigned int | is_kf
unsigned int | number_spatial_layers
unsigned int | number_temporal_layers
unsigned int | is_annexb

## Detailed Description

Initialization-time Feature Enabling.

Certain codec features must be known at initialization time, to allow for proper memory allocation.

The available flags are specified by AOM_CODEC_USE_* defines.

Stream properties

This structure is used to query or set properties of the decoded stream.

## Field Documentation

## w

unsigned int aom_codec_stream_info::w

Width (or 0 for unknown/default)

## h

unsigned int aom_codec_stream_info::h

Height (or 0 for unknown/default)

## is_kf

unsigned int aom_codec_stream_info::is_kf

Current frame is a keyframe

## number_spatial_layers

unsigned int aom_codec_stream_info::number_spatial_layers

Number of spatial layers

## number_temporal_layers

unsigned int aom_codec_stream_info::number_temporal_layers

Number of temporal layers

## is_annexb

unsigned int aom_codec_stream_info::is_annexb

Is Bitstream in Annex-B format

The documentation for this struct was generated from the following file:

- aom/aom_decoder.h